petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSTRUMPACKSetReordering

Set STRUMPACK fill-reducing reordering

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetReordering(Mat F,MatSTRUMPACKReordering reordering)

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-STRUMPACK interface
| reordering | - the code to be used to find the fill-reducing reordering Possible values: NATURAL=0 METIS=1 PARMETIS=2 SCOTCH=3 PTSCOTCH=4 RCM=5

### Options Database

-mat_strumpack_reordering <METIS> -Sparsity reducing matrix reordering (choose one of) NATURAL METIS PARMETIS SCOTCH PTSCOTCH RCM (None)

### References

STRUMPACK manual -

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html

### Implementations

MatSTRUMPACKSetReordering_STRUMPACK in src/mat/impls/aij/mpi/strumpack/strumpack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages